
QGIS Application - Bug report #3413

uninitialized mPreviousFieldRow in QgsQueryBuilder

2011-01-15 12:40 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13473

Description

uninitialized mPreviousFieldRow in [[QgsQueryBuilder]] may cause the values list not to be cleared on selecting a field other than the first

after getting the values without first selecting a field.

Associated revisions

Revision ad8b9f68 - 2011-04-20 06:40 PM - Jürgen Fischer

fix #3413

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15781 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 074856a8 - 2011-04-20 06:40 PM - Jürgen Fischer

fix #3413

git-svn-id: http://svn.osgeo.org/qgis/trunk@15781 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-04-20 09:40 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:074856a8 (SVN r15782).
